Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.events
Class JRexMutationEventImpl

    java.lang.Object
      org.mozilla.jrex.dom.events.JRexEventImpl
          org.mozilla.jrex.dom.events.JRexMutationEventImpl

All Implemented Interfaces:
  Event, MutationEvent

public class JRexMutationEventImpl
extends JRexEventImpl
implements MutationEvent

A class implementing org.w3c.dom.events.MutationEvent interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `MutationEvent`

Field Summary

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`short` | `getAttrChange()`
`String` | `getAttrName()`
`String` | `getNewValue()`
`String` | `getPrevValue()`
`Node` | `getRelatedNode()`
`void` | `initMutationEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevValueArg, String newValueArg, String attrNameArg, short attrChangeArg)`

Methods inherited from class org.mozilla.jrex.dom.events.JRexEventImpl
`dispose, equals, finalize, getBubbles, getCancelable, getCurrentTarget, getEventPhase, getExplicitOriginalTarget, getOriginalTarget, getTarget, getTimeStamp, getType, hashCode, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Method Detail

### getRelatedNode

    public Node getRelatedNode()

  Specified by:
    `getRelatedNode` in interface `MutationEvent`

### getPrevValue

    public String getPrevValue()

  Specified by:
    `getPrevValue` in interface `MutationEvent`

### getNewValue

    public String getNewValue()

  Specified by:
    `getNewValue` in interface `MutationEvent`

### getAttrName

    public String getAttrName()

  Specified by:
    `getAttrName` in interface `MutationEvent`

### getAttrChange

    public short getAttrChange()

  Specified by:
    `getAttrChange` in interface `MutationEvent`

### initMutationEvent

    public void initMutationEvent(String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  Node relatedNodeArg,
                                  String prevValueArg,
                                  String newValueArg,
                                  String attrNameArg,
                                  short attrChangeArg)

  Specified by:
    `initMutationEvent` in interface `MutationEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.